Solid Edge Draft Type Library
Offset2d Method
Distance in X direction.
Distance in Y direction.
Specify offset distance.
Description
Offsets the end connected elements from the SelectSet in the direction of the 2d point by the given distance. This function will clear the SelectSet and add the offset elements to the SelectSet.
Syntax
Visual Basic
Public Sub Offset2d( _
   ByVal offsetSideX As Double, _
   ByVal offsetSideY As Double, _
   ByVal offsetDistance As Double _
) 
Parameters
offsetSideX
Distance in X direction.
offsetSideY
Distance in Y direction.
offsetDistance
Specify offset distance.
Example
Private Sub Offset2D_Click(sender As Object, e As EventArgs) Handles Offset2D.Click
        Dim objApplication As SolidEdgeFramework.Application
        Dim Line As SolidEdgeFrameworkSupport.Line2d
        Dim DraftDoc As SolidEdgeDraft.DraftDocument
        Dim SelectSet As SolidEdgeFramework.SelectSet
        Dim Sheet As SolidEdgeDraft.Sheet = Nothing
        Dim x As Double
        Dim y As Double

        Try
            ' Create/get the application with specific settings
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            ' open the document mentioned in the doc files.
            DraftDoc = objApplication.ActiveDocument
            Sheet = DraftDoc.Sheets.Item(1)
            Line = Sheet.Lines2d.Item(1)
            Line.GetEndPoint(x, y)
            Sheet.ChainLocate(x, y)
            SelectSet = DraftDoc.SelectSet
            Sheet.Offset2d(x + 0.005, y + 0.005, 0.005)
        Catch ex As Exception
            MsgBox(ex.ToString)
            Clipboard.SetText(ex.ToString)
        End Try

    End Sub
See Also

Sheet Object  | Sheet Members